Summary: The libMesh finite element library for adaptive parallel computations
Name: libmesh
Version: 0.5.0
Release: 1
Copyright: LGPL
Group: Applications/Engineering
Source: http://internap.dl.sourceforge.net/sourceforge/libmesh/libmesh-0.5.0.tar.gz
Prefix: /usr/local
BuildRoot: /tmp/%{name}

%description
The eject program allows the user to eject removable media
(typically CD-ROMs, floppy disks or Iomega Jaz or Zip disks)
using software control. Eject can also control some multi-
disk CD changers and even some devices' auto-eject features.

Install eject if you'd like to eject removable media using
software control.



%prep
%setup -q



%build
./configure --disable-petsc --disable-mpi
(METHOD=dbg ; make ; make clean) # build debug libraries
(METHOD=opt ; make ; make clean) # build optimized libraries




%install
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/%{prefix}/%{name}-%{version}
cp -ar * $RPM_BUILD_ROOT/%{prefix}/%{name}-%{version}



%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi



%files
%{prefix}/%{name}-%{version}/
%{prefix}/%{name}-%{version}/license
%{prefix}/%{name}-%{version}/doc/
%{prefix}/%{name}-%{version}/doc/header.html
%{prefix}/%{name}-%{version}/doc/html/
%{prefix}/%{name}-%{version}/doc/html/developers.php
%{prefix}/%{name}-%{version}/doc/html/orig.css
%{prefix}/%{name}-%{version}/doc/html/ex16.php
%{prefix}/%{name}-%{version}/doc/html/application2.php
%{prefix}/%{name}-%{version}/doc/html/gecko.css
%{prefix}/%{name}-%{version}/doc/html/ex4.php
%{prefix}/%{name}-%{version}/doc/html/presentations.php
%{prefix}/%{name}-%{version}/doc/html/ex2.php
%{prefix}/%{name}-%{version}/doc/html/navigation.php
%{prefix}/%{name}-%{version}/doc/html/ex0.php
%{prefix}/%{name}-%{version}/doc/html/index.php
%{prefix}/%{name}-%{version}/doc/html/ex6.php
%{prefix}/%{name}-%{version}/doc/html/detect.js
%{prefix}/%{name}-%{version}/doc/html/ex13.php
%{prefix}/%{name}-%{version}/doc/html/applications.php
%{prefix}/%{name}-%{version}/doc/html/ex15.php
%{prefix}/%{name}-%{version}/doc/html/ex8.php
%{prefix}/%{name}-%{version}/doc/html/ex3.php
%{prefix}/%{name}-%{version}/doc/html/ex1.php
%{prefix}/%{name}-%{version}/doc/html/ex14.php
%{prefix}/%{name}-%{version}/doc/html/images/
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_07.png
%{prefix}/%{name}-%{version}/doc/html/images/bg_muted.png
%{prefix}/%{name}-%{version}/doc/html/images/bg.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_03.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_small.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_02.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_05.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_00.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_08.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_04.png
%{prefix}/%{name}-%{version}/doc/html/images/bg_more_muted.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_09.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_01.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_06.png
%{prefix}/%{name}-%{version}/doc/html/images/libmesh_mesh_layer_10.png
%{prefix}/%{name}-%{version}/doc/html/ex10.php
%{prefix}/%{name}-%{version}/doc/html/common.css
%{prefix}/%{name}-%{version}/doc/html/application1.php
%{prefix}/%{name}-%{version}/doc/html/publications.php
%{prefix}/%{name}-%{version}/doc/html/installation.php
%{prefix}/%{name}-%{version}/doc/html/ex5.php
%{prefix}/%{name}-%{version}/doc/html/ie.css
%{prefix}/%{name}-%{version}/doc/html/ex12.php
%{prefix}/%{name}-%{version}/doc/html/ex9.php
%{prefix}/%{name}-%{version}/doc/html/ex11.php
%{prefix}/%{name}-%{version}/doc/html/detect.php
%{prefix}/%{name}-%{version}/doc/html/doxygen/
%{prefix}/%{name}-%{version}/doc/html/doxygen/orig.css
%{prefix}/%{name}-%{version}/doc/html/doxygen/gecko.css
%{prefix}/%{name}-%{version}/doc/html/doxygen/detect.js
%{prefix}/%{name}-%{version}/doc/html/doxygen/images/
%{prefix}/%{name}-%{version}/doc/html/doxygen/images/bg_muted.png
%{prefix}/%{name}-%{version}/doc/html/doxygen/images/bg.png
%{prefix}/%{name}-%{version}/doc/html/doxygen/images/bg_more_muted.png
%{prefix}/%{name}-%{version}/doc/html/doxygen/common.css
%{prefix}/%{name}-%{version}/doc/html/doxygen/ie.css
%{prefix}/%{name}-%{version}/doc/html/layout.css
%{prefix}/%{name}-%{version}/doc/html/ex7.php
%{prefix}/%{name}-%{version}/doc/html/examples.php
%{prefix}/%{name}-%{version}/doc/footer.html
%{prefix}/%{name}-%{version}/doc/latex/
%{prefix}/%{name}-%{version}/doc/latex/xda_format/
%{prefix}/%{name}-%{version}/doc/latex/xda_format/xda_format.tex
%{prefix}/%{name}-%{version}/doc/latex/xda_format/hybrid_mesh.png
%{prefix}/%{name}-%{version}/doc/latex/xda_format/xda_format.pdf
%{prefix}/%{name}-%{version}/doc/latex/howto/
%{prefix}/%{name}-%{version}/doc/latex/howto/howto.pdf
%{prefix}/%{name}-%{version}/doc/latex/howto/howto.tex
%{prefix}/%{name}-%{version}/doc/Doxyfile.in
%{prefix}/%{name}-%{version}/doc/man/
%{prefix}/%{name}-%{version}/include/
%{prefix}/%{name}-%{version}/include/solvers/
%{prefix}/%{name}-%{version}/include/solvers/solver.h
%{prefix}/%{name}-%{version}/include/solvers/system.h
%{prefix}/%{name}-%{version}/include/solvers/adaptive.h
%{prefix}/%{name}-%{version}/include/solvers/newmark_system.h
%{prefix}/%{name}-%{version}/include/solvers/exact_solution.h
%{prefix}/%{name}-%{version}/include/solvers/equation_systems.h
%{prefix}/%{name}-%{version}/include/solvers/linear.h
%{prefix}/%{name}-%{version}/include/solvers/explicit_system.h
%{prefix}/%{name}-%{version}/include/solvers/nonlinear.h
%{prefix}/%{name}-%{version}/include/solvers/implicit_system.h
%{prefix}/%{name}-%{version}/include/solvers/transient.h
%{prefix}/%{name}-%{version}/include/solvers/linear_implicit_system.h
%{prefix}/%{name}-%{version}/include/solvers/eigen_system.h
%{prefix}/%{name}-%{version}/include/solvers/steady_system.h
%{prefix}/%{name}-%{version}/include/solvers/transient_system.h
%{prefix}/%{name}-%{version}/include/solvers/frequency_system.h
%{prefix}/%{name}-%{version}/include/solvers/nonlinear_implicit_system.h
%{prefix}/%{name}-%{version}/include/utils/
%{prefix}/%{name}-%{version}/include/utils/error_vector.h
%{prefix}/%{name}-%{version}/include/utils/tree_base.h
%{prefix}/%{name}-%{version}/include/utils/point_locator_tree.h
%{prefix}/%{name}-%{version}/include/utils/point_locator_list.h
%{prefix}/%{name}-%{version}/include/utils/plt_loader.h
%{prefix}/%{name}-%{version}/include/utils/parameters.h
%{prefix}/%{name}-%{version}/include/utils/statistics.h
%{prefix}/%{name}-%{version}/include/utils/tree.h
%{prefix}/%{name}-%{version}/include/utils/xdr_cxx.h
%{prefix}/%{name}-%{version}/include/utils/point_locator_base.h
%{prefix}/%{name}-%{version}/include/utils/utility.h
%{prefix}/%{name}-%{version}/include/utils/o_string_stream.h
%{prefix}/%{name}-%{version}/include/utils/perfmon.h
%{prefix}/%{name}-%{version}/include/utils/tree_node.h
%{prefix}/%{name}-%{version}/include/utils/o_f_stream.h
%{prefix}/%{name}-%{version}/include/utils/perf_log.h
%{prefix}/%{name}-%{version}/include/mesh/
%{prefix}/%{name}-%{version}/include/mesh/inf_elem_builder.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_input.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_communication.h
%{prefix}/%{name}-%{version}/include/mesh/off_io.h
%{prefix}/%{name}-%{version}/include/mesh/gmsh_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_tools.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_modification.h
%{prefix}/%{name}-%{version}/include/mesh/xdr_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_tetgen_support.h
%{prefix}/%{name}-%{version}/include/mesh/ucd_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_generation.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_smoother.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_function.h
%{prefix}/%{name}-%{version}/include/mesh/matlab_io.h
%{prefix}/%{name}-%{version}/include/mesh/gmv_io.h
%{prefix}/%{name}-%{version}/include/mesh/tetgen_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_smoother_laplace.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_refinement.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_output.h
%{prefix}/%{name}-%{version}/include/mesh/exodusII_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_data.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_triangle_support.h
%{prefix}/%{name}-%{version}/include/mesh/boundary_info.h
%{prefix}/%{name}-%{version}/include/mesh/mesh.h
%{prefix}/%{name}-%{version}/include/mesh/diva_io.h
%{prefix}/%{name}-%{version}/include/mesh/medit_io.h
%{prefix}/%{name}-%{version}/include/mesh/boundary_mesh.h
%{prefix}/%{name}-%{version}/include/mesh/tecplot_io.h
%{prefix}/%{name}-%{version}/include/mesh/mesh_base.h
%{prefix}/%{name}-%{version}/include/mesh/unv_io.h
%{prefix}/%{name}-%{version}/include/mesh/gnuplot_io.h
%{prefix}/%{name}-%{version}/include/geom/
%{prefix}/%{name}-%{version}/include/geom/elem.h
%{prefix}/%{name}-%{version}/include/geom/cell.h
%{prefix}/%{name}-%{version}/include/geom/cell_hex20.h
%{prefix}/%{name}-%{version}/include/geom/cell_prism18.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_prism12.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_prism.h
%{prefix}/%{name}-%{version}/include/geom/cell_pyramid.h
%{prefix}/%{name}-%{version}/include/geom/sphere.h
%{prefix}/%{name}-%{version}/include/geom/face_quad9.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_prism6.h
%{prefix}/%{name}-%{version}/include/geom/face_inf_quad4.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_hex18.h
%{prefix}/%{name}-%{version}/include/geom/face_quad4.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_hex8.h
%{prefix}/%{name}-%{version}/include/geom/face_tri6.h
%{prefix}/%{name}-%{version}/include/geom/cell_prism15.h
%{prefix}/%{name}-%{version}/include/geom/edge_inf_edge2.h
%{prefix}/%{name}-%{version}/include/geom/cell_hex27.h
%{prefix}/%{name}-%{version}/include/geom/face_tri3.h
%{prefix}/%{name}-%{version}/include/geom/cell_hex.h
%{prefix}/%{name}-%{version}/include/geom/plane.h
%{prefix}/%{name}-%{version}/include/geom/face_tri.h
%{prefix}/%{name}-%{version}/include/geom/cell_tet.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_hex16.h
%{prefix}/%{name}-%{version}/include/geom/elem_type.h
%{prefix}/%{name}-%{version}/include/geom/face_inf_quad6.h
%{prefix}/%{name}-%{version}/include/geom/cell_tet4.h
%{prefix}/%{name}-%{version}/include/geom/edge_edge3.h
%{prefix}/%{name}-%{version}/include/geom/cell_tet10.h
%{prefix}/%{name}-%{version}/include/geom/cell_prism6.h
%{prefix}/%{name}-%{version}/include/geom/face_quad.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf_hex.h
%{prefix}/%{name}-%{version}/include/geom/cell_prism.h
%{prefix}/%{name}-%{version}/include/geom/face_inf_quad.h
%{prefix}/%{name}-%{version}/include/geom/surface.h
%{prefix}/%{name}-%{version}/include/geom/cell_inf.h
%{prefix}/%{name}-%{version}/include/geom/face.h
%{prefix}/%{name}-%{version}/include/geom/cell_hex8.h
%{prefix}/%{name}-%{version}/include/geom/point.h
%{prefix}/%{name}-%{version}/include/geom/cell_pyramid5.h
%{prefix}/%{name}-%{version}/include/geom/face_quad8.h
%{prefix}/%{name}-%{version}/include/geom/edge_edge2.h
%{prefix}/%{name}-%{version}/include/geom/side.h
%{prefix}/%{name}-%{version}/include/geom/edge.h
%{prefix}/%{name}-%{version}/include/geom/elem_quality.h
%{prefix}/%{name}-%{version}/include/fe/
%{prefix}/%{name}-%{version}/include/fe/inf_fe_instantiate_2D.h
%{prefix}/%{name}-%{version}/include/fe/inf_fe_instantiate_3D.h
%{prefix}/%{name}-%{version}/include/fe/inf_fe_instantiate_1D.h
%{prefix}/%{name}-%{version}/include/fe/fe_interface.h
%{prefix}/%{name}-%{version}/include/fe/fe.h
%{prefix}/%{name}-%{version}/include/fe/inf_fe_macro.h
%{prefix}/%{name}-%{version}/include/fe/fe_macro.h
%{prefix}/%{name}-%{version}/include/fe/inf_fe.h
%{prefix}/%{name}-%{version}/include/fe/fe_base.h
%{prefix}/%{name}-%{version}/include/fe/fe_compute_data.h
%{prefix}/%{name}-%{version}/include/fe/fe_type.h
%{prefix}/%{name}-%{version}/include/quadrature/
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_gauss.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_jacobi.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_rules.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_trap.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_simpson.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_clough.h
%{prefix}/%{name}-%{version}/include/quadrature/quadrature_grid.h
%{prefix}/%{name}-%{version}/include/enums/
%{prefix}/%{name}-%{version}/include/enums/enum_solver_package.h
%{prefix}/%{name}-%{version}/include/enums/enum_fe_family.h
%{prefix}/%{name}-%{version}/include/enums/enum_order.h
%{prefix}/%{name}-%{version}/include/enums/enum_elem_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_inf_map_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_preconditioner_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_xdr_mode.h
%{prefix}/%{name}-%{version}/include/enums/enum_elem_quality.h
%{prefix}/%{name}-%{version}/include/enums/enum_point_locator_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_quadrature_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_eigen_solver_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_solver_type.h
%{prefix}/%{name}-%{version}/include/enums/enum_io_package.h
%{prefix}/%{name}-%{version}/include/partitioning/
%{prefix}/%{name}-%{version}/include/partitioning/metis_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/hilbert_sfc_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/linear_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/centroid_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/sfc_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/parmetis_partitioner.h
%{prefix}/%{name}-%{version}/include/partitioning/morton_sfc_partitioner.h
%{prefix}/%{name}-%{version}/include/numerics/
%{prefix}/%{name}-%{version}/include/numerics/petsc_matrix.h
%{prefix}/%{name}-%{version}/include/numerics/laspack_matrix.h
%{prefix}/%{name}-%{version}/include/numerics/dense_matrix.h
%{prefix}/%{name}-%{version}/include/numerics/petsc_nonlinear_solver.h
%{prefix}/%{name}-%{version}/include/numerics/linear_solver.h
%{prefix}/%{name}-%{version}/include/numerics/sparse_matrix.h
%{prefix}/%{name}-%{version}/include/numerics/patch_recovery_error_estimator.h
%{prefix}/%{name}-%{version}/include/numerics/vector_value.h
%{prefix}/%{name}-%{version}/include/numerics/laspack_linear_solver.h
%{prefix}/%{name}-%{version}/include/numerics/fourth_error_estimators.h
%{prefix}/%{name}-%{version}/include/numerics/dense_vector.h
%{prefix}/%{name}-%{version}/include/numerics/petsc_linear_solver.h
%{prefix}/%{name}-%{version}/include/numerics/tensor_value.h
%{prefix}/%{name}-%{version}/include/numerics/dense_submatrix.h
%{prefix}/%{name}-%{version}/include/numerics/error_estimator.h
%{prefix}/%{name}-%{version}/include/numerics/kelly_error_estimator.h
%{prefix}/%{name}-%{version}/include/numerics/eigen_solver.h
%{prefix}/%{name}-%{version}/include/numerics/analytic_function.h
%{prefix}/%{name}-%{version}/include/numerics/laspack_vector.h
%{prefix}/%{name}-%{version}/include/numerics/type_tensor.h
%{prefix}/%{name}-%{version}/include/numerics/type_vector.h
%{prefix}/%{name}-%{version}/include/numerics/dense_matrix_base.h
%{prefix}/%{name}-%{version}/include/numerics/nonlinear_solver.h
%{prefix}/%{name}-%{version}/include/numerics/dense_subvector.h
%{prefix}/%{name}-%{version}/include/numerics/slepc_eigen_solver.h
%{prefix}/%{name}-%{version}/include/numerics/coupling_matrix.h
%{prefix}/%{name}-%{version}/include/numerics/petsc_vector.h
%{prefix}/%{name}-%{version}/include/numerics/numeric_vector.h
%{prefix}/%{name}-%{version}/include/numerics/distributed_vector.h
%{prefix}/%{name}-%{version}/include/numerics/function_base.h
%{prefix}/%{name}-%{version}/include/numerics/dense_vector_base.h
%{prefix}/%{name}-%{version}/include/base/
%{prefix}/%{name}-%{version}/include/base/libmesh_documentation.h
%{prefix}/%{name}-%{version}/include/base/libmesh_logging.h
%{prefix}/%{name}-%{version}/include/base/libmesh_config.h.in
%{prefix}/%{name}-%{version}/include/base/dof_map.h
%{prefix}/%{name}-%{version}/include/base/multi_predicates.h
%{prefix}/%{name}-%{version}/include/base/getpot.h
%{prefix}/%{name}-%{version}/include/base/reference_counter.h
%{prefix}/%{name}-%{version}/include/base/libmesh.h
%{prefix}/%{name}-%{version}/include/base/dof_object.h
%{prefix}/%{name}-%{version}/include/base/auto_ptr.h
%{prefix}/%{name}-%{version}/include/base/libmesh_common.h
%{prefix}/%{name}-%{version}/include/base/factory.h
%{prefix}/%{name}-%{version}/include/base/single_predicates.h
%{prefix}/%{name}-%{version}/include/base/node.h
%{prefix}/%{name}-%{version}/include/base/libmesh_contrib_config.h.in
%{prefix}/%{name}-%{version}/include/base/reference_counted_object.h
%{prefix}/%{name}-%{version}/include/base/libmesh_base.h
%{prefix}/%{name}-%{version}/include/base/variant_filter_iterator.h
%{prefix}/%{name}-%{version}/acronyms.txt
%{prefix}/%{name}-%{version}/tests/
%{prefix}/%{name}-%{version}/tests/gold/
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.plt
%{prefix}/%{name}-%{version}/tests/gold/one_hex.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_quad.dat
%{prefix}/%{name}-%{version}/tests/gold/one_prism.plt
%{prefix}/%{name}-%{version}/tests/gold/one_quad.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_prism.xda
%{prefix}/%{name}-%{version}/tests/gold/one_tet.dat
%{prefix}/%{name}-%{version}/tests/gold/one_tet.xda
%{prefix}/%{name}-%{version}/tests/gold/one_prism.dat
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.xda
%{prefix}/%{name}-%{version}/tests/gold/one_quad.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.plt
%{prefix}/%{name}-%{version}/tests/gold/one_prism.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.xda
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.dat
%{prefix}/%{name}-%{version}/tests/gold/one_hex.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_quad.plt
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.xda
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.xda
%{prefix}/%{name}-%{version}/tests/gold/one_tri.plt
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.plt
%{prefix}/%{name}-%{version}/tests/gold/one_tri.xda
%{prefix}/%{name}-%{version}/tests/gold/one_prism.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.plt
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.dat
%{prefix}/%{name}-%{version}/tests/gold/one_hex.plt
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.plt
%{prefix}/%{name}-%{version}/tests/gold/one_tri.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_quad.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_hex.dat
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_tet.plt
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.dat
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.dat
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_tri6.dat
%{prefix}/%{name}-%{version}/tests/gold/one_tri.dat
%{prefix}/%{name}-%{version}/tests/gold/one_hex.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.dat
%{prefix}/%{name}-%{version}/tests/gold/one_tet10.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_tet.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.plt
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.xda
%{prefix}/%{name}-%{version}/tests/gold/one_hex.xda
%{prefix}/%{name}-%{version}/tests/gold/one_hex27.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_tet.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_pyramid.xda
%{prefix}/%{name}-%{version}/tests/gold/one_quad.xda
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.xdr
%{prefix}/%{name}-%{version}/tests/gold/one_tet.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_tri.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_tri.ugrid
%{prefix}/%{name}-%{version}/tests/gold/one_prism.gmv
%{prefix}/%{name}-%{version}/tests/gold/one_hex20.dat
%{prefix}/%{name}-%{version}/tests/gold/one_quad9.plt
%{prefix}/%{name}-%{version}/tests/gold/one_quad8.xda
%{prefix}/%{name}-%{version}/tests/write_reference_elements
%{prefix}/%{name}-%{version}/config.guess
%{prefix}/%{name}-%{version}/configure.in
%{prefix}/%{name}-%{version}/install-sh
%{prefix}/%{name}-%{version}/configure
%{prefix}/%{name}-%{version}/aclocal.m4
%{prefix}/%{name}-%{version}/Make.common.in
%{prefix}/%{name}-%{version}/reference_elements/
%{prefix}/%{name}-%{version}/reference_elements/3D/
%{prefix}/%{name}-%{version}/reference_elements/3D/one_prism18.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_prism.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_tet.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_tet10.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_hex20.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_hex27.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_prism15.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_hex.xda
%{prefix}/%{name}-%{version}/reference_elements/3D/one_pyramid.xda
%{prefix}/%{name}-%{version}/reference_elements/2D/
%{prefix}/%{name}-%{version}/reference_elements/2D/one_tri6.xda
%{prefix}/%{name}-%{version}/reference_elements/2D/one_tri.xda
%{prefix}/%{name}-%{version}/reference_elements/2D/one_quad9.xda
%{prefix}/%{name}-%{version}/reference_elements/2D/one_quad.xda
%{prefix}/%{name}-%{version}/reference_elements/2D/one_quad8.xda
%{prefix}/%{name}-%{version}/contrib/
%{prefix}/%{name}-%{version}/contrib/utils/
%{prefix}/%{name}-%{version}/contrib/utils/libmesh.spec
%{prefix}/%{name}-%{version}/contrib/laspack/
%{prefix}/%{name}-%{version}/contrib/laspack/qmatrix.h
%{prefix}/%{name}-%{version}/contrib/laspack/itersolv.h
%{prefix}/%{name}-%{version}/contrib/laspack/mlsolv.h
%{prefix}/%{name}-%{version}/contrib/laspack/version.h
%{prefix}/%{name}-%{version}/contrib/laspack/doc/
%{prefix}/%{name}-%{version}/contrib/laspack/doc/laspack1.ps
%{prefix}/%{name}-%{version}/contrib/laspack/doc/laspack2.ps
%{prefix}/%{name}-%{version}/contrib/laspack/CODE_CHANGES
%{prefix}/%{name}-%{version}/contrib/laspack/mlsolv.c
%{prefix}/%{name}-%{version}/contrib/laspack/precond.c
%{prefix}/%{name}-%{version}/contrib/laspack/copyrght.h
%{prefix}/%{name}-%{version}/contrib/laspack/html/
%{prefix}/%{name}-%{version}/contrib/laspack/html/node28.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node29.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node6.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/next_motif_gr.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/up_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node15.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/images.log
%{prefix}/%{name}-%{version}/contrib/laspack/html/node26.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node2.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node18.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/labels.pl
%{prefix}/%{name}-%{version}/contrib/laspack/html/contents_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/change_delete.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node22.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/image.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node7.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/change_begin.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node23.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/next_group_motif_gr.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/images.pl
%{prefix}/%{name}-%{version}/contrib/laspack/html/node19.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node9.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/up_motif_gr.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/bugs.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node21.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/previous_motif_gr.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/laspack.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node13.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/previous_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node24.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node27.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/netlib.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/change_end.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/cross_ref_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node11.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/images.tex
%{prefix}/%{name}-%{version}/contrib/laspack/html/node25.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node14.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node16.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node3.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/images.aux
%{prefix}/%{name}-%{version}/contrib/laspack/html/node5.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/index_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/next_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/form-mail.pl
%{prefix}/%{name}-%{version}/contrib/laspack/html/comment.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/foot_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node20.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node17.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node8.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node1.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/previous_group_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/node10.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/node12.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/missfont.log
%{prefix}/%{name}-%{version}/contrib/laspack/html/node4.html
%{prefix}/%{name}-%{version}/contrib/laspack/html/previous_group_motif_gr.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/next_group_motif.gif
%{prefix}/%{name}-%{version}/contrib/laspack/html/img1.gif
%{prefix}/%{name}-%{version}/contrib/laspack/operats.c
%{prefix}/%{name}-%{version}/contrib/laspack/eigenval.c
%{prefix}/%{name}-%{version}/contrib/laspack/itersolv.c
%{prefix}/%{name}-%{version}/contrib/laspack/qvector.c
%{prefix}/%{name}-%{version}/contrib/laspack/precond.h
%{prefix}/%{name}-%{version}/contrib/laspack/eigenval.h
%{prefix}/%{name}-%{version}/contrib/laspack/factor.h
%{prefix}/%{name}-%{version}/contrib/laspack/operats.h
%{prefix}/%{name}-%{version}/contrib/laspack/errhandl.c
%{prefix}/%{name}-%{version}/contrib/laspack/errhandl.h
%{prefix}/%{name}-%{version}/contrib/laspack/matrix.c
%{prefix}/%{name}-%{version}/contrib/laspack/factor.c
%{prefix}/%{name}-%{version}/contrib/laspack/rtc.h
%{prefix}/%{name}-%{version}/contrib/laspack/Makefile
%{prefix}/%{name}-%{version}/contrib/laspack/rtc.c
%{prefix}/%{name}-%{version}/contrib/laspack/qvector.h
%{prefix}/%{name}-%{version}/contrib/laspack/elcmp.h
%{prefix}/%{name}-%{version}/contrib/laspack/laspack_config.h
%{prefix}/%{name}-%{version}/contrib/laspack/matrix.h
%{prefix}/%{name}-%{version}/contrib/laspack/origial.makefile
%{prefix}/%{name}-%{version}/contrib/laspack/lastypes.h
%{prefix}/%{name}-%{version}/contrib/laspack/qmatrix.c
%{prefix}/%{name}-%{version}/contrib/parmetis/
%{prefix}/%{name}-%{version}/contrib/parmetis/README
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/mmetis.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/macros.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/frename.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/remap.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/grsetup.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/serial.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/redomylink.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/akwayfm.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/kwayrefine.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/mdiffusion.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/memory.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/node_refine.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/selectq.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/setup.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/parmetislib.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/csrmatch.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/move.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/comm.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/stat.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/iidxsort.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/initbalance.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/order.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/gkmetis.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/initpart.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/debug.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/ometis.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/mesh.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/ametis.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/timer.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/weird.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/kwayfm.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/pspases.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/proto.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/defs.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/struct.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/backcompat.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/lmatch.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/util.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/match.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/wave.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/Makefile
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/kmetis.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/diffutil.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/rename.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/balancemylink.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/ikeysort.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/initmsection.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/xyzpart.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/kwaybalance.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/stdheaders.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/fpqueue.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/parmetis.h
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/ikeyvalsort.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/coarsen.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/iintsort.c
%{prefix}/%{name}-%{version}/contrib/parmetis/Lib/rmetis.c
%{prefix}/%{name}-%{version}/contrib/triangle/
%{prefix}/%{name}-%{version}/contrib/triangle/tricall.c
%{prefix}/%{name}-%{version}/contrib/triangle/README
%{prefix}/%{name}-%{version}/contrib/triangle/triangle.c
%{prefix}/%{name}-%{version}/contrib/triangle/A.poly
%{prefix}/%{name}-%{version}/contrib/triangle/makefile.orig
%{prefix}/%{name}-%{version}/contrib/triangle/Makefile
%{prefix}/%{name}-%{version}/contrib/triangle/triangle.h
%{prefix}/%{name}-%{version}/contrib/triangle/showme.c
%{prefix}/%{name}-%{version}/contrib/sfcurves/
%{prefix}/%{name}-%{version}/contrib/sfcurves/sfcurves.h
%{prefix}/%{name}-%{version}/contrib/sfcurves/morton.c
%{prefix}/%{name}-%{version}/contrib/sfcurves/README
%{prefix}/%{name}-%{version}/contrib/sfcurves/hilbert.c
%{prefix}/%{name}-%{version}/contrib/sfcurves/sfcurves_internal.h
%{prefix}/%{name}-%{version}/contrib/sfcurves/cmp.c
%{prefix}/%{name}-%{version}/contrib/sfcurves/Makefile
%{prefix}/%{name}-%{version}/contrib/README
%{prefix}/%{name}-%{version}/contrib/gzstream/
%{prefix}/%{name}-%{version}/contrib/gzstream/gzstream.h
%{prefix}/%{name}-%{version}/contrib/gzstream/README
%{prefix}/%{name}-%{version}/contrib/gzstream/gzstream.C
%{prefix}/%{name}-%{version}/contrib/gzstream/Makefile
%{prefix}/%{name}-%{version}/contrib/tetgen/
%{prefix}/%{name}-%{version}/contrib/tetgen/README
%{prefix}/%{name}-%{version}/contrib/tetgen/predicates.C
%{prefix}/%{name}-%{version}/contrib/tetgen/tetgen.h
%{prefix}/%{name}-%{version}/contrib/tetgen/makefile.orig
%{prefix}/%{name}-%{version}/contrib/tetgen/Makefile
%{prefix}/%{name}-%{version}/contrib/tetgen/tetgen.C
%{prefix}/%{name}-%{version}/contrib/tetgen/example.poly
%{prefix}/%{name}-%{version}/contrib/Makefile
%{prefix}/%{name}-%{version}/contrib/lib/
%{prefix}/%{name}-%{version}/contrib/metis/
%{prefix}/%{name}-%{version}/contrib/metis/README
%{prefix}/%{name}-%{version}/contrib/metis/Lib/
%{prefix}/%{name}-%{version}/contrib/metis/Lib/macros.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/frename.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mrefine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/subdomains.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mfm.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kvmetis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mutil.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mmatch.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kwayrefine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/memory.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/fm.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/minitpart.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/bucketsort.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mkmetis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mkwayrefine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/graph.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mfm2.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mmd.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mbalance2.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/stat.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/refine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/myqsort.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/initpart.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/debug.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mcoarsen.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/ometis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kwayvolrefine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/pmetis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mesh.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mpmetis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/metis.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kwayfm.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/proto.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/defs.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/struct.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/pqueue.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mincover.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/util.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/match.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/Makefile
%{prefix}/%{name}-%{version}/contrib/metis/Lib/fortran.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kmetis.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/srefine.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/kwayvolfm.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/ccgraph.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/rename.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/minitpart2.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/timing.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mrefine2.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/compress.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mbalance.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/mkwayfmh.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/checkgraph.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/stdheaders.h
%{prefix}/%{name}-%{version}/contrib/metis/Lib/balance.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/coarsen.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/sfm.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/estmem.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/separator.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/meshpart.c
%{prefix}/%{name}-%{version}/contrib/metis/Lib/parmetis.c
%{prefix}/%{name}-%{version}/contrib/tecplot/
%{prefix}/%{name}-%{version}/contrib/tecplot/include/
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECADDON.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/FGLUE.INC
%{prefix}/%{name}-%{version}/contrib/tecplot/include/GUI.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECXXX.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECGLBL.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/MASTER.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/IOUTIL.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECUTILO.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECUTILQ.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TASSERT.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/GLOBAL.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECUTILS.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECIO.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/SV.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/ADDON.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/TECUTILM.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/VERSION.h
%{prefix}/%{name}-%{version}/contrib/tecplot/include/GUI.INC
%{prefix}/%{name}-%{version}/contrib/tecplot/README
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/alphaev67-unknown-linux-gnu/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/alphaev67-unknown-linux-gnu/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/powerpc-ibm-aix5.1.0.0/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/powerpc-ibm-aix5.1.0.0/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/sparc-sun-solaris2.7/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/sparc-sun-solaris2.7/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/i686-pc-linux-gnu/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/i686-pc-linux-gnu/README
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/i686-pc-linux-gnu/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/alphaev56-unknown-linux-gnu/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/alphaev56-unknown-linux-gnu/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/ia64-unknown-linux-gnu/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/ia64-unknown-linux-gnu/tecio.a
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/mips-sgi-irix6.5/
%{prefix}/%{name}-%{version}/contrib/tecplot/lib/mips-sgi-irix6.5/tecio.a
%{prefix}/%{name}-%{version}/contrib/bin/
%{prefix}/%{name}-%{version}/contrib/bin/upload_documentation
%{prefix}/%{name}-%{version}/contrib/bin/create_example_docs.sh
%{prefix}/%{name}-%{version}/contrib/bin/create_libmesh_release.in
%{prefix}/%{name}-%{version}/contrib/bin/make_dependencies.pl
%{prefix}/%{name}-%{version}/contrib/bin/stripcomments.pl
%{prefix}/%{name}-%{version}/contrib/bin/ex2html.sh
%{prefix}/%{name}-%{version}/contrib/bin/cvs2html
%{prefix}/%{name}-%{version}/contrib/bin/test_headers.sh
%{prefix}/%{name}-%{version}/contrib/bin/libmesh-config.in
%{prefix}/%{name}-%{version}/contrib/bin/program2html.pl
%{prefix}/%{name}-%{version}/contrib/bin/xda2mgf.in
%{prefix}/%{name}-%{version}/contrib/bin/keywords
%{prefix}/%{name}-%{version}/contrib/bin/stripenscript.pl
%{prefix}/%{name}-%{version}/examples/
%{prefix}/%{name}-%{version}/examples/ex4/
%{prefix}/%{name}-%{version}/examples/ex4/Makefile
%{prefix}/%{name}-%{version}/examples/ex4/.depend
%{prefix}/%{name}-%{version}/examples/ex4/ex4.C
%{prefix}/%{name}-%{version}/examples/ex2/
%{prefix}/%{name}-%{version}/examples/ex2/ex2.C
%{prefix}/%{name}-%{version}/examples/ex2/Makefile
%{prefix}/%{name}-%{version}/examples/ex2/.depend
%{prefix}/%{name}-%{version}/examples/ex3/
%{prefix}/%{name}-%{version}/examples/ex3/exact_solution.C
%{prefix}/%{name}-%{version}/examples/ex3/Makefile
%{prefix}/%{name}-%{version}/examples/ex3/ex3.C
%{prefix}/%{name}-%{version}/examples/ex3/.depend
%{prefix}/%{name}-%{version}/examples/ex5/
%{prefix}/%{name}-%{version}/examples/ex5/ex5.C
%{prefix}/%{name}-%{version}/examples/ex5/Makefile
%{prefix}/%{name}-%{version}/examples/ex5/.depend
%{prefix}/%{name}-%{version}/examples/ex10/
%{prefix}/%{name}-%{version}/examples/ex10/ex10.C
%{prefix}/%{name}-%{version}/examples/ex10/mesh.xda
%{prefix}/%{name}-%{version}/examples/ex10/Makefile
%{prefix}/%{name}-%{version}/examples/ex10/.depend
%{prefix}/%{name}-%{version}/examples/ex11/
%{prefix}/%{name}-%{version}/examples/ex11/Makefile
%{prefix}/%{name}-%{version}/examples/ex11/ex11.C
%{prefix}/%{name}-%{version}/examples/ex11/.depend
%{prefix}/%{name}-%{version}/examples/ex15/
%{prefix}/%{name}-%{version}/examples/ex15/domain.xda
%{prefix}/%{name}-%{version}/examples/ex15/ex15.C
%{prefix}/%{name}-%{version}/examples/ex15/Makefile
%{prefix}/%{name}-%{version}/examples/ex15/ex15.in
%{prefix}/%{name}-%{version}/examples/ex15/.depend
%{prefix}/%{name}-%{version}/examples/ex6/
%{prefix}/%{name}-%{version}/examples/ex6/ex6.C
%{prefix}/%{name}-%{version}/examples/ex6/Makefile
%{prefix}/%{name}-%{version}/examples/ex6/.depend
%{prefix}/%{name}-%{version}/examples/ex1/
%{prefix}/%{name}-%{version}/examples/ex1/Makefile
%{prefix}/%{name}-%{version}/examples/ex1/.depend
%{prefix}/%{name}-%{version}/examples/ex1/ex1.C
%{prefix}/%{name}-%{version}/examples/ex8/
%{prefix}/%{name}-%{version}/examples/ex8/ex8.C
%{prefix}/%{name}-%{version}/examples/ex8/Makefile
%{prefix}/%{name}-%{version}/examples/ex8/pipe-mesh.unv
%{prefix}/%{name}-%{version}/examples/ex8/.depend
%{prefix}/%{name}-%{version}/examples/ex7/
%{prefix}/%{name}-%{version}/examples/ex7/ex7.C
%{prefix}/%{name}-%{version}/examples/ex7/Makefile
%{prefix}/%{name}-%{version}/examples/ex7/lshape.unv
%{prefix}/%{name}-%{version}/examples/ex7/lshape_data.unv
%{prefix}/%{name}-%{version}/examples/ex7/.depend
%{prefix}/%{name}-%{version}/examples/ex9/
%{prefix}/%{name}-%{version}/examples/ex9/exact_solution.C
%{prefix}/%{name}-%{version}/examples/ex9/Makefile
%{prefix}/%{name}-%{version}/examples/ex9/ex9.C
%{prefix}/%{name}-%{version}/examples/ex9/.depend
%{prefix}/%{name}-%{version}/examples/Makefile
%{prefix}/%{name}-%{version}/examples/ex14/
%{prefix}/%{name}-%{version}/examples/ex14/ex14.in
%{prefix}/%{name}-%{version}/examples/ex14/Makefile
%{prefix}/%{name}-%{version}/examples/ex14/ex14.C
%{prefix}/%{name}-%{version}/examples/ex14/lshaped.xda
%{prefix}/%{name}-%{version}/examples/ex14/.depend
%{prefix}/%{name}-%{version}/examples/ex13/
%{prefix}/%{name}-%{version}/examples/ex13/gmv_attributes.attr
%{prefix}/%{name}-%{version}/examples/ex13/ex13.C
%{prefix}/%{name}-%{version}/examples/ex13/Makefile
%{prefix}/%{name}-%{version}/examples/ex13/movie.sh
%{prefix}/%{name}-%{version}/examples/ex13/.depend
%{prefix}/%{name}-%{version}/examples/ex0/
%{prefix}/%{name}-%{version}/examples/ex0/ex0.C
%{prefix}/%{name}-%{version}/examples/ex0/Makefile
%{prefix}/%{name}-%{version}/examples/ex0/.depend
%{prefix}/%{name}-%{version}/examples/ex12/
%{prefix}/%{name}-%{version}/examples/ex12/ex12.C
%{prefix}/%{name}-%{version}/examples/ex12/Makefile
%{prefix}/%{name}-%{version}/examples/ex12/.depend
%{prefix}/%{name}-%{version}/examples/ex16/
%{prefix}/%{name}-%{version}/examples/ex16/ex16.C
%{prefix}/%{name}-%{version}/examples/ex16/Makefile
%{prefix}/%{name}-%{version}/examples/ex16/.depend
%{prefix}/%{name}-%{version}/Makefile
%{prefix}/%{name}-%{version}/config.sub
%{prefix}/%{name}-%{version}/lib/
%{prefix}/%{name}-%{version}/ChangeLog
%{prefix}/%{name}-%{version}/.depend
%{prefix}/%{name}-%{version}/bin/
%{prefix}/%{name}-%{version}/src/
%{prefix}/%{name}-%{version}/src/solvers/
%{prefix}/%{name}-%{version}/src/solvers/eigen_system.C
%{prefix}/%{name}-%{version}/src/solvers/explicit_system.C
%{prefix}/%{name}-%{version}/src/solvers/system_projection.C
%{prefix}/%{name}-%{version}/src/solvers/equation_systems_io.C
%{prefix}/%{name}-%{version}/src/solvers/system_io.C
%{prefix}/%{name}-%{version}/src/solvers/implicit_system.C
%{prefix}/%{name}-%{version}/src/solvers/transient_system.C
%{prefix}/%{name}-%{version}/src/solvers/exact_solution.C
%{prefix}/%{name}-%{version}/src/solvers/system.C
%{prefix}/%{name}-%{version}/src/solvers/steady_system.C
%{prefix}/%{name}-%{version}/src/solvers/frequency_system.C
%{prefix}/%{name}-%{version}/src/solvers/equation_systems.C
%{prefix}/%{name}-%{version}/src/solvers/linear_implicit_system.C
%{prefix}/%{name}-%{version}/src/solvers/nonlinear_implicit_system.C
%{prefix}/%{name}-%{version}/src/solvers/newmark_system.C
%{prefix}/%{name}-%{version}/src/utils/
%{prefix}/%{name}-%{version}/src/utils/plt_loader.C
%{prefix}/%{name}-%{version}/src/utils/point_locator_tree.C
%{prefix}/%{name}-%{version}/src/utils/tree_node.C
%{prefix}/%{name}-%{version}/src/utils/tree.C
%{prefix}/%{name}-%{version}/src/utils/error_vector.C
%{prefix}/%{name}-%{version}/src/utils/point_locator_list.C
%{prefix}/%{name}-%{version}/src/utils/statistics.C
%{prefix}/%{name}-%{version}/src/utils/o_f_stream.C
%{prefix}/%{name}-%{version}/src/utils/xdr_cxx.C
%{prefix}/%{name}-%{version}/src/utils/point_locator_base.C
%{prefix}/%{name}-%{version}/src/utils/plt_loader_read.C
%{prefix}/%{name}-%{version}/src/utils/perf_log.C
%{prefix}/%{name}-%{version}/src/utils/utility.C
%{prefix}/%{name}-%{version}/src/utils/plt_loader_write.C
%{prefix}/%{name}-%{version}/src/mesh/
%{prefix}/%{name}-%{version}/src/mesh/mesh_base.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_iterators.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_refinement.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_smoother.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_modification.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_smoother_laplace.C
%{prefix}/%{name}-%{version}/src/mesh/gmv_io.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_communication.C
%{prefix}/%{name}-%{version}/src/mesh/gnuplot_io.C
%{prefix}/%{name}-%{version}/src/mesh/boundary_mesh.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_refinement_smoothing.C
%{prefix}/%{name}-%{version}/src/mesh/gmsh_io.C
%{prefix}/%{name}-%{version}/src/mesh/medit_io.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_generation.C
%{prefix}/%{name}-%{version}/src/mesh/diva_io.C
%{prefix}/%{name}-%{version}/src/mesh/unv_io.C
%{prefix}/%{name}-%{version}/src/mesh/mesh.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_triangle_support.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_data.C
%{prefix}/%{name}-%{version}/src/mesh/ucd_io.C
%{prefix}/%{name}-%{version}/src/mesh/tecplot_io.C
%{prefix}/%{name}-%{version}/src/mesh/tetgen_io.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_data_tetgen_support.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_data_unv_support.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_tetgen_support.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_data_xdr_support.C
%{prefix}/%{name}-%{version}/src/mesh/exodusII_io.C
%{prefix}/%{name}-%{version}/src/mesh/matlab_io.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_refinement_flagging.C
%{prefix}/%{name}-%{version}/src/mesh/xdr_io.C
%{prefix}/%{name}-%{version}/src/mesh/off_io.C
%{prefix}/%{name}-%{version}/src/mesh/boundary_info.C
%{prefix}/%{name}-%{version}/src/mesh/mesh_tools.C
%{prefix}/%{name}-%{version}/src/mesh/inf_elem_builder.C
%{prefix}/%{name}-%{version}/src/apps/
%{prefix}/%{name}-%{version}/src/apps/grid2grid.cc
%{prefix}/%{name}-%{version}/src/apps/meshtool.cc
%{prefix}/%{name}-%{version}/src/apps/amr.cc
%{prefix}/%{name}-%{version}/src/apps/compare.cc
%{prefix}/%{name}-%{version}/src/geom/
%{prefix}/%{name}-%{version}/src/geom/face_quad8.C
%{prefix}/%{name}-%{version}/src/geom/point.C
%{prefix}/%{name}-%{version}/src/geom/elem_quality.C
%{prefix}/%{name}-%{version}/src/geom/elem_type.C
%{prefix}/%{name}-%{version}/src/geom/edge_edge3.C
%{prefix}/%{name}-%{version}/src/geom/cell_prism18.C
%{prefix}/%{name}-%{version}/src/geom/cell_tet10.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_hex18.C
%{prefix}/%{name}-%{version}/src/geom/surface.C
%{prefix}/%{name}-%{version}/src/geom/face_inf_quad4.C
%{prefix}/%{name}-%{version}/src/geom/cell_tet.C
%{prefix}/%{name}-%{version}/src/geom/face_inf_quad.C
%{prefix}/%{name}-%{version}/src/geom/cell_tet4.C
%{prefix}/%{name}-%{version}/src/geom/sphere.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_prism6.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_prism.C
%{prefix}/%{name}-%{version}/src/geom/face_quad4.C
%{prefix}/%{name}-%{version}/src/geom/cell.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf.C
%{prefix}/%{name}-%{version}/src/geom/cell_pyramid.C
%{prefix}/%{name}-%{version}/src/geom/elem.C
%{prefix}/%{name}-%{version}/src/geom/cell_hex20.C
%{prefix}/%{name}-%{version}/src/geom/plane.C
%{prefix}/%{name}-%{version}/src/geom/face.C
%{prefix}/%{name}-%{version}/src/geom/cell_prism15.C
%{prefix}/%{name}-%{version}/src/geom/cell_prism.C
%{prefix}/%{name}-%{version}/src/geom/elem_refinement.C
%{prefix}/%{name}-%{version}/src/geom/face_tri6.C
%{prefix}/%{name}-%{version}/src/geom/cell_hex.C
%{prefix}/%{name}-%{version}/src/geom/face_quad.C
%{prefix}/%{name}-%{version}/src/geom/face_tri3.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_hex16.C
%{prefix}/%{name}-%{version}/src/geom/edge_inf_edge2.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_prism12.C
%{prefix}/%{name}-%{version}/src/geom/cell_hex27.C
%{prefix}/%{name}-%{version}/src/geom/face_inf_quad6.C
%{prefix}/%{name}-%{version}/src/geom/cell_prism6.C
%{prefix}/%{name}-%{version}/src/geom/cell_pyramid5.C
%{prefix}/%{name}-%{version}/src/geom/edge_edge2.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_hex8.C
%{prefix}/%{name}-%{version}/src/geom/cell_hex8.C
%{prefix}/%{name}-%{version}/src/geom/edge.C
%{prefix}/%{name}-%{version}/src/geom/cell_inf_hex.C
%{prefix}/%{name}-%{version}/src/geom/face_quad9.C
%{prefix}/%{name}-%{version}/src/geom/face_tri.C
%{prefix}/%{name}-%{version}/src/fe/
%{prefix}/%{name}-%{version}/src/fe/fe_lagrange_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/fe_base.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_boundary.C
%{prefix}/%{name}-%{version}/src/fe/fe_clough_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/fe_xyz_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_map.C
%{prefix}/%{name}-%{version}/src/fe/fe_boundary.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_jacobi_30_00_eval.C
%{prefix}/%{name}-%{version}/src/fe/fe_szabab_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_szabab.C
%{prefix}/%{name}-%{version}/src/fe/fe_compute_data.C
%{prefix}/%{name}-%{version}/src/fe/fe_szabab_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/fe_clough_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_hierarchic_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_lagrange.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_lagrange_eval.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_base_radial.C
%{prefix}/%{name}-%{version}/src/fe/fe_xyz_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_bernstein_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/fe_hierarchic.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_map_eval.C
%{prefix}/%{name}-%{version}/src/fe/fe_map.C
%{prefix}/%{name}-%{version}/src/fe/fe_bernstein.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_legendre_eval.C
%{prefix}/%{name}-%{version}/src/fe/fe_bernstein_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_hierarchic_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/fe_xyz_boundary.C
%{prefix}/%{name}-%{version}/src/fe/fe_bernstein_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_monomial_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_static.C
%{prefix}/%{name}-%{version}/src/fe/fe_szabab_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_interface.C
%{prefix}/%{name}-%{version}/src/fe/fe_clough_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe.C
%{prefix}/%{name}-%{version}/src/fe/fe_monomial_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_lagrange_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_xyz.C
%{prefix}/%{name}-%{version}/src/fe/fe_monomial.C
%{prefix}/%{name}-%{version}/src/fe/fe_monomial_shape_3D.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe.C
%{prefix}/%{name}-%{version}/src/fe/fe_xyz_shape_2D.C
%{prefix}/%{name}-%{version}/src/fe/fe_interface_inf_fe.C
%{prefix}/%{name}-%{version}/src/fe/fe_clough.C
%{prefix}/%{name}-%{version}/src/fe/inf_fe_jacobi_20_00_eval.C
%{prefix}/%{name}-%{version}/src/fe/fe_hierarchic_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_lagrange_shape_1D.C
%{prefix}/%{name}-%{version}/src/fe/fe_type.C
%{prefix}/%{name}-%{version}/src/quadrature/
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_simpson_3D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_simpson.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_jacobi.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_clough_1D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_clough_3D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_clough_2D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_grid_1D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_rules.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_grid_3D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_gauss.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_simpson_2D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_build.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_trap.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_gauss_2D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_trap_3D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_clough.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_trap_1D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_grid_2D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_gauss_1D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_trap_2D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_gauss_3D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_jacobi_1D.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_grid.C
%{prefix}/%{name}-%{version}/src/quadrature/quadrature_simpson_1D.C
%{prefix}/%{name}-%{version}/src/partitioning/
%{prefix}/%{name}-%{version}/src/partitioning/partitioner_factory.C
%{prefix}/%{name}-%{version}/src/partitioning/partitioner.C
%{prefix}/%{name}-%{version}/src/partitioning/sfc_partitioner.C
%{prefix}/%{name}-%{version}/src/partitioning/linear_partitioner.C
%{prefix}/%{name}-%{version}/src/partitioning/centroid_partitioner.C
%{prefix}/%{name}-%{version}/src/partitioning/metis_partitioner.C
%{prefix}/%{name}-%{version}/src/partitioning/parmetis_partitioner.C
%{prefix}/%{name}-%{version}/src/numerics/
%{prefix}/%{name}-%{version}/src/numerics/eigen_solver.C
%{prefix}/%{name}-%{version}/src/numerics/dense_vector_base.C
%{prefix}/%{name}-%{version}/src/numerics/patch_recovery_error_estimator.C
%{prefix}/%{name}-%{version}/src/numerics/dense_matrix.C
%{prefix}/%{name}-%{version}/src/numerics/type_tensor.C
%{prefix}/%{name}-%{version}/src/numerics/dense_subvector.C
%{prefix}/%{name}-%{version}/src/numerics/type_vector.C
%{prefix}/%{name}-%{version}/src/numerics/coupling_matrix.C
%{prefix}/%{name}-%{version}/src/numerics/kelly_error_estimator.C
%{prefix}/%{name}-%{version}/src/numerics/dense_vector.C
%{prefix}/%{name}-%{version}/src/numerics/petsc_nonlinear_solver.C
%{prefix}/%{name}-%{version}/src/numerics/function_base.C
%{prefix}/%{name}-%{version}/src/numerics/error_estimator.C
%{prefix}/%{name}-%{version}/src/numerics/laspack_linear_solver.C
%{prefix}/%{name}-%{version}/src/numerics/numeric_vector.C
%{prefix}/%{name}-%{version}/src/numerics/laspack_vector.C
%{prefix}/%{name}-%{version}/src/numerics/linear_solver.C
%{prefix}/%{name}-%{version}/src/numerics/mesh_function.C
%{prefix}/%{name}-%{version}/src/numerics/petsc_matrix.C
%{prefix}/%{name}-%{version}/src/numerics/distributed_vector.C
%{prefix}/%{name}-%{version}/src/numerics/dense_matrix_base.C
%{prefix}/%{name}-%{version}/src/numerics/petsc_linear_solver.C
%{prefix}/%{name}-%{version}/src/numerics/nonlinear_solver.C
%{prefix}/%{name}-%{version}/src/numerics/slepc_eigen_solver.C
%{prefix}/%{name}-%{version}/src/numerics/petsc_vector.C
%{prefix}/%{name}-%{version}/src/numerics/dense_submatrix.C
%{prefix}/%{name}-%{version}/src/numerics/analytic_function.C
%{prefix}/%{name}-%{version}/src/numerics/laspack_matrix.C
%{prefix}/%{name}-%{version}/src/numerics/fourth_error_estimators.C
%{prefix}/%{name}-%{version}/src/numerics/sparse_matrix.C
%{prefix}/%{name}-%{version}/src/base/
%{prefix}/%{name}-%{version}/src/base/dof_map_constraints.C
%{prefix}/%{name}-%{version}/src/base/reference_counter.C
%{prefix}/%{name}-%{version}/src/base/dof_object.C
%{prefix}/%{name}-%{version}/src/base/reference_counted_object.C
%{prefix}/%{name}-%{version}/src/base/node.C
%{prefix}/%{name}-%{version}/src/base/dof_map.C
%{prefix}/%{name}-%{version}/src/base/libmesh.C


%changelog
* Mon Jul 18 2005 Benjamin S. Kirk <benkirk@benkirk.jsc.nasa.gov> - 0.5.0
- Updated for libMesh-0.5.0

* Thu Feb 03 2005 Benjamin S. Kirk <benkirk@users.sourceforge.net>
- Initial support for building libMesh RPMs

